Alert: 32-bit version is no longer available.
Overview
AutoCAD 2020 provides a set of enhancements based on customer feedback, surveys, and analytic data that prioritize our efforts. Several features are the result of the need to modernize and streamline frequently used features across many customer disciplines.
New Dark Theme
Block Palettes
Purge Dialog box Redesign
DWG Compare Enhancements
Measure Geometry Option–Quick Measure
Save to Web & Mobile Enhancements
To get detailed overview on AutoCAD 2020 product I encourage you to follow Autodesk AutoCAD Blog
API Updates:
ObjectARX : No New APIs.
.NET : No New APIs
Activex:
AcadApplication now supports the progIds "AutoCAD.Application.23" and "AutoCAD.Application.23.1" and AcadComparedReference has been added.
The AcadComparedReference object represents the drawing in which you are comparing the current drawing against. AcadComparedReference inherits from the AcadExternalReference object. The following is a basic example how you might go about determining whether an Xref is of the AcadComparedReference type:
' Checks to see if an object is of the ComparedReference type Sub CheckForComparedReference() Dim ent As AcadEntity Dim comRef As AcadComparedReference On Error Resume Next ' Step through all the objects in model space For Each ent In ThisDrawing.ModelSpace ' Check to see if the object is a Block Reference If ent.ObjectName = "AcDbBlockReference" Then ' Try to cast the entity (Block Reference) to a ComparedReference Set comRef = ent ' If an occurs, then the entity is not a ComparedReference If Err <> 0 Then MsgBox "Not a Compared Reference" Else MsgBox "Xref Name: " + comRef.Name + vbLf + "Compared Reference" End If ' Clear the Error object Err.Clear End If Next ent End Sub
AutoLISP:
There are no new functions or additions.
Xrefs related to the Drawing Compare feature are known as ComparedReference objects. The following is a basic statement that demonstrates how to return the IsComparedReference property of an external reference to determine whether it’s a ComparedReference object
(getpropertyvalue (car (entsel)) "IsComparedReference")
ObjectARX and Managed .NET
- Microsoft Visual Studio 2017 with Update 2 (version 15.7.5 and earlier)
- Microsoft .NET Framework 4.7